View Issue Details

IDProjectCategoryView StatusLast Update
0002936GNUnetGNSpublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002936: integrate GNS with identity service
DescriptionGNS zones should correspond to egos from the identity service and be managed there. Identity service should have a way to initialize default zone keys for all three main GNS zones.
TagsNo tags attached.

Relationships

parent of 0002904 closedChristian Grothoff GNUnet need identity service 
parent of 0002990 closedChristian Grothoff GNUnet gnunet-namestore command-line tool should use identity service 
parent of 0003009 closedChristian Grothoff GNUnet default zones need to be initialized during GNUnet installation 
parent of 0003010 closedChristian Grothoff GNUnet gnunet-dns2gns needs to use identity service 
parent of 0003011 closedChristian Grothoff GNUnet gnunet-gns-proxy should use the identity service 
parent of 0003024 closedChristian Grothoff gnunet-gtk when we discover a namespace advertisement, we need to update the sks-fs zone accordingly 
child of 0001952 closedChristian Grothoff gnunet-gtk namespace list in search dialog should have context menu 

Activities

Christian Grothoff

2013-08-19 21:02

manager   ~0007390

What is missing right now is (at least):
* the integration of gnunet-setup with identity service
* the initialization of default zones (fcfs!) and the respective default egos
* the use of the identity service with dns2gns service (at least as an option; dns2gns usually just needs the public key, but we should allow using it with egos as well), and
* the use of the identity service with the socks proxy

We might want to open separate bug reports for each of these (as child reports).

Christian Grothoff

2013-09-16 15:54

manager   ~0007462

Except for legacy/non-ported tests, all places of the old 'short hash code' have been eliminated as of SVN 29320.

Issue History

Date Modified Username Field Change
2013-07-10 23:40 Christian Grothoff New Issue
2013-07-10 23:40 Christian Grothoff Status new => assigned
2013-07-10 23:40 Christian Grothoff Assigned To => Christian Grothoff
2013-07-13 18:10 Christian Grothoff Priority urgent => immediate
2013-07-13 21:05 Christian Grothoff Priority immediate => high
2013-07-13 21:05 Christian Grothoff Relationship added parent of 0002904
2013-07-13 21:06 Christian Grothoff Relationship added child of 0001952
2013-07-13 21:10 Christian Grothoff Target Version 0.10.0 => 0.10.1
2013-07-14 20:24 Christian Grothoff Priority high => normal
2013-07-17 23:00 Christian Grothoff Summary integrate GADS with FS-SKS => integrate GADS with identity service
2013-07-17 23:00 Christian Grothoff Description Updated View Revisions
2013-07-17 23:01 Christian Grothoff Priority normal => high
2013-08-12 16:06 Christian Grothoff Category file-sharing service => GNS
2013-08-12 21:13 Christian Grothoff Relationship added parent of 0002990
2013-08-19 21:02 Christian Grothoff Note Added: 0007390
2013-08-19 21:02 Christian Grothoff Summary integrate GADS with identity service => integrate GNS with identity service
2013-08-19 21:02 Christian Grothoff Description Updated View Revisions
2013-08-31 21:23 Christian Grothoff Target Version 0.10.1 => 0.10.0
2013-08-31 21:25 Christian Grothoff Relationship added parent of 0003009
2013-08-31 21:26 Christian Grothoff Relationship added parent of 0003010
2013-08-31 21:28 Christian Grothoff Relationship added parent of 0003011
2013-08-31 21:28 Christian Grothoff Status assigned => confirmed
2013-08-31 21:28 Christian Grothoff Assigned To Christian Grothoff =>
2013-09-10 21:07 Christian Grothoff Relationship added parent of 0003024
2013-09-10 21:07 Christian Grothoff Assigned To => Christian Grothoff
2013-09-10 21:07 Christian Grothoff Status confirmed => assigned
2013-09-16 15:54 Christian Grothoff Note Added: 0007462
2013-09-16 15:54 Christian Grothoff Status assigned => resolved
2013-09-16 15:54 Christian Grothoff Fixed in Version => 0.10.0
2013-09-16 15:54 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed